Package org.apache.ignite.compute

## Annotation Type ComputeTaskName

    @Documented
    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface ComputeTaskName

This annotation allows to assign optional name to grid task. If attached to `ComputeTask` implementation Ignite will take this name as a task name instead of default which is grid task's class FQN.

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    String value

Returns:
  Optional task name.